package com.altimetrik.ee.demo.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import com.altimetrik.ee.demo.entity.Stock;

@Repository
public interface StockDetailsRepository extends JpaRepository<Stock, Long> {

	
	Stock findByCompanyName(final String componentName);

	Stock findBystockQuote(final String stockQuote);
	List<Stock> findByStockQuoteIn(List<String> quotes);


}
